Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.classgen
[Java] Class InnerClassVisitor

    java.lang.Object
      org.codehaus.groovy.ast.CodeVisitorSupport
          org.codehaus.groovy.ast.ClassCodeVisitorSupport
              org.codehaus.groovy.classgen.InnerClassVisitorHelper
                  org.codehaus.groovy.classgen.InnerClassVisitor

All Implemented Interfaces:
  org.objectweb.asm.Opcodes

    public class InnerClassVisitor
    extends InnerClassVisitorHelper

Constructor Summary
`InnerClassVisitor(CompilationUnit cu, SourceUnit su)`

Method Summary
`protected SourceUnit` | `getSourceUnit()`
`void` | `visitClass(ClassNode node)`
`void` | `visitConstructorCallExpression(ConstructorCallExpression call)`
`protected void` | `visitConstructorOrMethod(MethodNode node, boolean isConstructor)`
`void` | `visitField(FieldNode node)`
`protected void` | `visitObjectInitializerStatements(ClassNode node)`
`void` | `visitProperty(PropertyNode node)`

Methods inherited from class InnerClassVisitorHelper
addFieldInit, getClassNode, getObjectDistance, isStatic, setMethodDispatcherCode, setPropertyGetterDispatcher, setPropertySetterDispatcher

Methods inherited from class ClassCodeVisitorSupport
addError, getSourceUnit, visitAnnotations, visitAssertStatement, visitBlockStatement, visitBreakStatement, visitCaseStatement, visitCatchStatement, visitClass, visitClassCodeContainer, visitConstructor, visitConstructorOrMethod, visitContinueStatement, visitDeclarationExpression, visitDoWhileLoop, visitExpressionStatement, visitField, visitForLoop, visitIfElse, visitImports, visitMethod, visitObjectInitializerStatements, visitPackage, visitProperty, visitReturnStatement, visitStatement, visitSwitch, visitSynchronizedStatement, visitThrowStatement, visitTryCatchFinally, visitWhileLoop

Methods inherited from class CodeVisitorSupport
visitArgumentlistExpression, visitArrayExpression, visitAssertStatement, visitAttributeExpression, visitBinaryExpression, visitBitwiseNegationExpression, visitBlockStatement, visitBooleanExpression, visitBreakStatement, visitBytecodeExpression, visitCaseStatement, visitCastExpression, visitCatchStatement, visitClassExpression, visitClosureExpression, visitClosureListExpression, visitConstantExpression, visitConstructorCallExpression, visitContinueStatement, visitDeclarationExpression, visitDoWhileLoop, visitEmptyStatement, visitExpressionStatement, visitFieldExpression, visitForLoop, visitGStringExpression, visitIfElse, visitListExpression, visitListOfExpressions, visitMapEntryExpression, visitMapExpression, visitMethodCallExpression, visitMethodPointerExpression, visitNotExpression, visitPostfixExpression, visitPrefixExpression, visitPropertyExpression, visitRangeExpression, visitReturnStatement, visitShortTernaryExpression, visitSpreadExpression, visitSpreadMapExpression, visitStaticMethodCallExpression, visitSwitch, visitSynchronizedStatement, visitTernaryExpression, visitThrowStatement, visitTryCatchFinally, visitTupleExpression, visitUnaryMinusExpression, visitUnaryPlusExpression, visitVariableExpression, visitWhileLoop

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### InnerClassVisitor

    public InnerClassVisitor(CompilationUnit cu, SourceUnit su)

Method Detail

### getSourceUnit

    @Override
    protected SourceUnit getSourceUnit()

### visitClass

    @Override
    public void visitClass(ClassNode node)

### visitConstructorCallExpression

    if (!call.isUsingAnonymousInnerClass()) {
    public void visitConstructorCallExpression(ConstructorCallExpression call)

### visitConstructorOrMethod

    this.currentMethod = node;
    protected void visitConstructorOrMethod(MethodNode node, boolean isConstructor)

### visitField

    super.visitField(node);
    public void visitField(FieldNode node)

### visitObjectInitializerStatements

    @Override
    protected void visitObjectInitializerStatements(ClassNode node)

### visitProperty

    final Expression init = field.getInitialExpression();
    public void visitProperty(PropertyNode node)

Groovy Documentation